/********************************
 * config,c
 * コンフィグおよび各モジュールの設定
 * Created on October 29, 2017, 8:26 AM
 * ******************************
 */

#include <xc.h>
#include <stdint.h>

#define SW          RA5


// IR 閾値 ***********************************************
#define L_ON_Min    5000        // 5msec リーダーの最小継続時間
#define DataTH      1000        // 1msec データの「１」「０」境界時間
#define D_Off_Max   2000        // 2msec データ「０」の最大継続時間
// Pin設定 ***********************************************
#define IrIN        RA5         // 赤外線センサー入力
#define LED1        LATC2       // LED
#define LED2        LATC3
#define LED3        LATC4
#define LED4        LATC5


// プロトタイプ *********************
void int_pins(void);
void int_modules(void);
